Last modified: 2012-09-28 07:50:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38631 - AFT contributions entries are very ugly and confusing
AFT contributions entries are very ugly and confusing
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedbackv5 (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Fabrice Florin
: i18n
Depends on: 36773
Blocks: 24620
  Show dependency treegraph
 
Reported: 2012-07-24 07:15 UTC by Nemo
Modified: 2012-09-28 07:50 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Special:Contributions (236.35 KB, image/png)
2012-07-24 07:15 UTC, Nemo
Details

Description Nemo 2012-07-24 07:15:55 UTC
Created attachment 10878 [details]
Special:Contributions

See attachment: every contributor will have a "what the heck?!" moment before realizing that no, the user is not messing up with main namespace, that's a special page and a fake contribution entry.
Compare how clearer other log entries in the contributions page are, for instance move and protection; AFT should probably follow their example, also to be i18n-friendly (currently it doesn't attempt at all to look as a grammatical or linguistic entry, so I suppose it's equally anti-language in all locales, but the point stays).
Comment 1 Jarry1250 2012-07-24 14:19:22 UTC
As a short term fix, would changing "Feedback on " to "Feedback:" prefix help, perhaps?
Comment 2 Matthias Mullie 2012-08-28 14:42:09 UTC
Nemo_bis: They were deliberately formatted this way (https://bugzilla.wikimedia.org/show_bug.cgi?id=36773) so do you have any suggestion on how we should improve them?
Comment 3 Nemo 2012-08-29 11:23:49 UTC
(In reply to comment #2)
> Nemo_bis: They were deliberately formatted this way
> (https://bugzilla.wikimedia.org/show_bug.cgi?id=36773) so do you have any
> suggestion on how we should improve them?

I'm not the correct person to ask how to technically fix it, but I guess [[mw:Manual:Logging to Special:Log]] is supposed to contain the info you need (and if it doesn't, you have to ask Niklas, Siebrand or someone else). The move feature in core uses the new system and should be a valid example.
Of course, comment 1 gives a suggestion to quickly improve a bit.
Comment 4 Matthias Mullie 2012-08-29 16:29:12 UTC
Update pushed to https://gerrit.wikimedia.org/r/#/c/21891

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links